import { Component } from '@angular/core';
import { Location } from '@angular/common'; // 必须导入Location服务
import { RouterModule } from '@angular/router';

@Component({
    selector: 'page-crm-home-news',
    standalone: true,
    imports: [RouterModule], // 确保导入RouterModule
  templateUrl: './page-crm-home-news.html',
})
export class PageCrmHomeNews {
    constructor(private location: Location) { } // 注入Location服务

    // 新增goBack方法
    goBack() {
        this.location.back(); // 使用Angular的Location服务返回上一页
    }
}